{
  imports = [
    ./../shared

    ./../shared/applications/server/acme.nix
    ./../shared/applications/server/nginx.nix
    ./../shared/applications/state/ssh.nix

    ./gerd/services/lldap.nix
    # ./gerd/services/authelia.nix
    ./gerd/services/fricloud-website.nix
    ./gerd/services/forgejo.nix
    ./gerd/services/teeworlds.nix
    ./gerd/services/murmur.nix
    ./gerd/services/hedgedoc.nix
  ];

  networking.hostName = "gerd";
  networking.hostId = "e1166ac9";

  mine = {
    state.enable = true;
    disks = {
      disk = "/dev/sda";
      pools.rpool.datasets = {
        "safe/svcs/forgejo" = { mountpoint = "/srv/forgejo"; extra.options.quota = "5G"; };
        "safe/svcs/hedgedoc" = { mountpoint = "/srv/hedgedoc"; extra.options.quota = "5G"; };
      };
    };

    zrepl.enable = true;

    ssh-on-boot.enable = true;

    platforms.hetzner = {
      enable = true;
      network.address = [
       "65.108.221.240/32"
       "2a01:4f9:c012:743e::1/64"
      ];
    };
  };

  system.stateVersion = "24.05";
}
