{ config, pkgs, ... }:

{
  services.nginx.virtualHosts."fricloud.dk" = {
    forceSSL = true;
    enableACME = true;
    root = pkgs.writeTextDir "index.html" ''
      <html>
        <head>
          <title>Fricloud.dk</title>
        </head>
        <body>
          <marquee
            direction="down"
            behavior="alternate">
            <marquee behavior="alternate">Under Construction</marquee>
          </marquee>
        </body>
      </html>
    '';
  };

  # setup group for fricloud.dk cert + add nginx to group.
  # group `fricloud-domain` is used for users that need access to the domain certificate, e.g. murmur
  security.acme.certs."fricloud.dk".group = config.users.groups.fricloud-domain.name;
  users.groups.fricloud-domain.members = [ config.users.users.nginx.name ];
}
